#age-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.1); 
    backdrop-filter: blur(20px); 
    -webkit-backdrop-filter: blur(20px);
    display: none; 
    align-items: center;
    justify-content: center;
    z-index: 999999;
    pointer-events: all; 
}

#age-modal {
    background: #ffffff;
    width: 500px;
    padding: 20px;
    border: 1px solid #aaa;
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.1);
    text-align: center;
    box-sizing: border-box;
    margin:20px;
}

#age-modal-logo img {
    max-width: 100%;
    height: auto;
}

#age-modal-logo p {
    font-size: 14px;
    color: #333;
    line-height: 1.5;
    margin-bottom: 25px;
}
